KAPTIVE.PY(1)

NAME
kaptive.py - obtain information about K and O types for Klebsiella genome assemblies

SYNOPSIS
kaptive.py [-h] [--version] -a ASSEMBLY [ASSEMBLY ...] -k K_REFS [-g ALLELIC_TYPING] [-o OUT] [-v] [-t THREADS] [--no_seq_out] [--no_table] [--no_json] [--start_end_margin START_END_MARGIN] [--min_gene_cov MIN_GENE_COV] [--min_gene_id MIN_GENE_ID] [--low_gene_id LOW_GENE_ID] [--min_assembly_piece MIN_ASSEMBLY_PIECE] [--gap_fill_size GAP_FILL_SIZE] [--locus_label LOCUS_LABEL]

OPTIONS

  optional arguments:

-h, --help
    show this help message and exit

--version
    Show Kaptive's version number and exit

-a ASSEMBLY [ASSEMBLY ...], --assembly ASSEMBLY [ASSEMBLY ...]
    FASTA file(s) for assemblies (default: None)

-k K_REFS, --k_refs K_REFS
    GenBank file with reference loci (default: None)

-g ALLELIC_TYPING, --allelic_typing ALLELIC_TYPING
    SRST2-formatted FASTA file of allelic typing genes to include in results (default: None)

-o OUT, --out OUT
    Output directory/prefix (default: ./kaptive_results)

-v, --verbose
    Display detailed information about each assembly in stdout (default: False)

-t THREADS, --threads THREADS
    The number of threads to use for the BLAST searches (default: 4)

--no_seq_out
    Suppress output files of sequences matching locus (default: False)

--no_table
    Suppress output of tab-delimited table (default: False)

--no_json
    Suppress output of JSON file (default: False)

--start_end_margin START_END_MARGIN
    Missing bases at the ends of locus allowed in a perfect match. (default: 10)

--min_gene_cov MIN_GENE_COV
    minimum required % coverage for genes (default: 90.0)

--min_gene_id MIN_GENE_ID
    minimum required % identity for genes (default: 80.0)

--low_gene_id LOW_GENE_ID
    genes with a % identity below this value will be flagged as low identity (default: 95.0)

--min_assembly_piece MIN_ASSEMBLY_PIECE
    minimum locus matching assembly piece to return (default: 100)

--gap_fill_size GAP_FILL_SIZE
    when separate parts of the assembly are found within this distance, they will be merged (default: 100)

--locus_label LOCUS_LABEL
    In the Genbank file, the source feature must have a note identifying the locus name, starting with this label followed by a colon (e.g. /note="K locus: K1") (default: automatically determined)

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.